unit db_test;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, ecSyntMemo, ecDBSyntMemo, ExtCtrls, DBCtrls,
  ecSyntAnal;

type
  TForm5 = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    DBNavigator1: TDBNavigator;
    DBSyntaxMemo1: TDBSyntaxMemo;
    SyntAnalyzer1: TSyntAnalyzer;
    ecMemoStateStorage1: TecMemoStateStorage;
    procedure Table1BeforePost(DataSet: TDataSet);
    procedure Table1AfterPost(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

{$R *.dfm}

procedure TForm5.Table1BeforePost(DataSet: TDataSet);
begin
  ecMemoStateStorage1.Assign(DBSyntaxMemo1);
end;

procedure TForm5.Table1AfterPost(DataSet: TDataSet);
begin
  DBSyntaxMemo1.Assign(ecMemoStateStorage1);
end;

end.
